function [msc,mse] = minsin(A,eta)

[n,nc] = size(A);

In = eye(n);
msc = min(svd(kron(In,A)-kron((A-eta*In).',In)))/eta;

% for now assume A has simple eigenvalues
% VR contains right eigenvectors
[VR,D] = eig(A);
d = diag(D);
% VL contains left eigenvectors
[VL,DC] = eig(A');
dc = diag(DC);

smallest = 1;
for j = 1:n
    [mv,indx] = min(abs(dc(j)-d'));
    % keyboard
    smallest = min(abs(VL(:,j)'*VR(:,indx)),smallest);
end
mse = smallest;
return;
